import { ReactNode } from 'react';
import { Moment } from 'moment';
import { DatePickerKeyboardEvent } from './DatePicker';
import DaysView, { DateViewProps } from './DaysView';
import { FieldType } from '../data-set/enum';
export default class WeeksView<T extends DateViewProps> extends DaysView<T> implements DatePickerKeyboardEvent {
    static displayName: string;
    static type: FieldType;
    getViewClassName(): string;
    handleKeyDownLeft(e: any): void;
    handleKeyDownRight(e: any): void;
    renderPanelBody(): ReactNode;
    choose(date: Moment): void;
    getPanelClass(): string;
    renderFooter(): ReactNode;
    getWeekCell(props: object, text: string): JSX.Element;
    getDaysOfWeek(): ReactNode[];
}
